package net.sevecek.zakladniwebapp;

import org.springframework.stereotype.*;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.*;

@Controller
public class HlavniController {

    @RequestMapping(value = "/vypocty.html",
            method = RequestMethod.GET)
    public ModelAndView zobrazVypocty() {
        ModelAndView drzacekSablonyADat;
        drzacekSablonyADat = new ModelAndView(
                "/WEB-INF/view/vypocty.jsp");
        return drzacekSablonyADat;
    }


    @RequestMapping(value = "/vypocty.html",
            method = RequestMethod.POST)
    public ModelAndView zpracujVypocty(
            VypoctyForm vyplnenyFormular) {
        ModelAndView drzacekSablonyADat;
        drzacekSablonyADat = new ModelAndView("/WEB-INF/view/vysledek.jsp");

        Integer cislo1;
        Integer cislo2;
        Integer soucet;
        Integer soucin;
        Integer rozdil;
        Integer podil;

        cislo1 = vyplnenyFormular.getCislo1();
        cislo2 = vyplnenyFormular.getCislo2();
        soucet = cislo1 + cislo2;
        soucin = cislo1 * cislo2;
        rozdil = cislo1 - cislo2;
        podil = cislo1 / cislo2;

        drzacekSablonyADat.addObject("plus", soucet);
        drzacekSablonyADat.addObject("krat", soucin);
        drzacekSablonyADat.addObject("minus", rozdil);
        drzacekSablonyADat.addObject("deleno", podil);

        return drzacekSablonyADat;
    }

}
